<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters :    testCase : TlsTestCase
                          isOpen : boolean -->
    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
        <ui:param name="panel_id" value="testcasepanel"/>
        <ui:param name="openByDefault" value="#{isOpen}"/>
        <ui:define name="panel_title">
            <h:outputText value="#{messages['net.ihe.gazelle.atna.TestCase_2']} #{testCase.name}"/>
        </ui:define>

        <dl class="dl-horizontal">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.Name']}</ui:define>
                <h:outputText value="#{testCase.name} (##{testCase.id})"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.LastChange']}</ui:define>
                <g:date value="#{testCase.lastChanged}"/>
                <h:outputText value=" #{messages['net.ihe.gazelle.atna.By']} #{manager.getUserName(testCase.lastModifierId)}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.Context']}</ui:define>
                <h:outputText value="#{testCase.context}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.Description']}</ui:define>
                <h:outputText value="#{testCase.description}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.SystemUnderTestSUT']})</ui:define>
                <h:outputText value="#{testCase.sutType}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.AllocatedSimulator']}</ui:define>
                <h:outputText value="#{testCase.getSimulatorKeyword()}"/>
            </ui:decorate>
        </dl>
        <dl>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestDataSet']}</ui:define>
                <ui:decorate template="/layout/panels/_panel.xhtml">
                    <ui:include src="/dataset/viewPanel.xhtml">
                        <ui:param name="dataSet" value="#{testCase.tlsDataSet}"/>
                        <ui:param name="manager" value="#{manager}"/>
                    </ui:include>
                </ui:decorate>
            </ui:decorate>
        </dl>
        <dl class="dl-horizontal">
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectHandshakeSuccess']}</ui:define>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Yes']}"
                              rendered="#{testCase.expectedHandshakeSuccess}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.No']}"
                              rendered="#{not testCase.expectedHandshakeSuccess}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.atna.Optional']})"
                              rendered="#{not testCase.mandatoryHandshakeSuccess}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectedAlertLevel']}</ui:define>
                <h:outputText value="#{testCase.expectedAlertLevel}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                              rendered="#{testCase.expectedAlertLevel==null}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.atna.Optional']})"
                              rendered="#{not testCase.mandatoryAlertLevel}"/>
            </ui:decorate>
            <ui:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.atna.ExpectedAlertDescription']}</ui:define>
                <h:outputText value="#{testCase.expectedAlertDescriptions}"
                              rendered="#{not testCase.expectedAlertDescriptions.isEmpty()}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                              rendered="#{testCase.expectedAlertDescriptions.isEmpty()}"/>
                <h:outputText value=" (#{messages['net.ihe.gazelle.atna.Optional']})"
                              rendered="#{not testCase.mandatoryAlertDescription}"/>
            </ui:decorate>
        </dl>
    </ui:decorate>

</ui:composition>
